Subject: Bug#1043: [X2Go-Dev] Bug#1043: Atom editor finished immediately after starting.

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 23 Jun 2016 21:57:48 +0200

On Mon, Jun 13, 2016 at 5:18 AM, SHIINA Hideaki <[email-masked]> wrote:
> I use X2Go server on Ubuntu 14.04.
> I started atom editor on X2Go environment.
> Then, It immediately finished with a message below.
>  "App load time: 147ms"
>
> This problem is known to users and discussed at atom user forum.
> https://discuss.atom.io/t/impossible-launch-on-ubuntu-through-x2go-client/26568
>
> But, There is no solution about it.
> So, I wonder if it's a bug of X2Go.

Have you tried this hack? https://github.com/atom/atom/issues/4360

Uli